Build: add WITH_OPENVDB_3_ABI_COMPATIBLE option.
authorBrecht Van Lommel <brechtvanlommel@gmail.com>
Mon, 2 Apr 2018 16:55:10 +0000 (18:55 +0200)
committerBrecht Van Lommel <brechtvanlommel@gmail.com>
Mon, 2 Apr 2018 17:13:04 +0000 (19:13 +0200)
commit71d7d6cd8c431b7f4fac8d65a4eaedf3cff6c8f6
treef247f9a5ad1120e603583b1b04d2b3ec7ac14898
parent4041385ddd68460d4dd04825431c4e2495c0c2a9
Build: add WITH_OPENVDB_3_ABI_COMPATIBLE option.

Better fix for T54457. It seems Debian compiles OpenVDB without ABI 3
compatibility, while Arch does enable it as is the default in the OpeVDB
CMake build system.

So now there's an option that the distribution can set depending on how
they compile their OpenVDB package.
CMakeLists.txt
intern/openvdb/CMakeLists.txt
intern/openvdb/intern/openvdb_writer.cc